org.python.core

## Class BytecodeLoader

- java.lang.Object
- - org.python.core.BytecodeLoader

    public class BytecodeLoader
    extends java.lang.Object

Utility class for loading compiled python modules and java classes defined in python modules.

### Nested Class Summary

Nested Classes
`static class` `BytecodeLoader.Loader`

### Constructor Summary

Constructors
Constructor and Description
`BytecodeLoader()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Class<?>` `makeClass(java.lang.String name, byte[] data, java.lang.Class<?>... referents)` Turn the java byte code in data into a java class.
`static java.lang.Class<?>` `makeClass(java.lang.String name, java.util.List<java.lang.Class<?>> referents, byte[] data)` Turn the java byte code in data into a java class.
`static PyCode` `makeCode(java.lang.String name, byte[] data, java.lang.String filename)` Turn the java byte code for a compiled python module into a java class.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BytecodeLoader

    public BytecodeLoader()

### Method Detail

#### makeClass

    public static java.lang.Class<?> makeClass(java.lang.String name,
                                               byte[] data,
                                               java.lang.Class<?>... referents)

Turn the java byte code in data into a java class.

Parameters:
  `name` - the name of the class
  `data` - the java byte code.
  `referents` - superclasses and interfaces that the new class will reference.

#### makeClass

    public static java.lang.Class<?> makeClass(java.lang.String name,
                                               java.util.List<java.lang.Class<?>> referents,
                                               byte[] data)

Turn the java byte code in data into a java class.

Parameters:
  `name` - the name of the class
  `referents` - superclasses and interfaces that the new class will reference.
  `data` - the java byte code.

#### makeCode

    public static PyCode makeCode(java.lang.String name,
                                  byte[] data,
                                  java.lang.String filename)

Turn the java byte code for a compiled python module into a java class.

Parameters:
  `name` - the name of the class
  `data` - the java byte code.